Package org.springframework.security.web.server.authentication

# Class RegisterSessionServerAuthenticationSuccessHandler

java.lang.Object
org.springframework.security.web.server.authentication.RegisterSessionServerAuthenticationSuccessHandler

All Implemented Interfaces:
  `ServerAuthenticationSuccessHandler`

public final class RegisterSessionServerAuthenticationSuccessHandler extends Object implements ServerAuthenticationSuccessHandler
An implementation of `ServerAuthenticationSuccessHandler` that will register a `ReactiveSessionInformation` with the provided `ReactiveSessionRegistry`.

Since:
  6.3

## Constructor Summary

Constructors
Constructor
Description
`RegisterSessionServerAuthenticationSuccessHandler(org.springframework.security.core.session.ReactiveSessionRegistry sessionRegistry)`

## Method Summary

Modifier and Type
Method
Description
`reactor.core.publisher.Mono<Void>`
`onAuthenticationSuccess(WebFilterExchange exchange, org.springframework.security.core.Authentication authentication)`
Invoked when the application authenticates successfully

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RegisterSessionServerAuthenticationSuccessHandler

public RegisterSessionServerAuthenticationSuccessHandler(org.springframework.security.core.session.ReactiveSessionRegistry sessionRegistry)

## Method Details

### onAuthenticationSuccess

public reactor.core.publisher.Mono<Void> onAuthenticationSuccess(WebFilterExchange exchange, org.springframework.security.core.Authentication authentication)
Description copied from interface: `ServerAuthenticationSuccessHandler`
Invoked when the application authenticates successfully

Specified by:
  `onAuthenticationSuccess` in interface `ServerAuthenticationSuccessHandler`
Parameters:
  `exchange` - the exchange
  `authentication` - the `Authentication`
Returns:
  a completion notification (success or error)